> ## Documentation Index
> Fetch the complete documentation index at: https://direkt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Chains

> Returns all chains Direkt supports.

## Example request

```bash theme={null}
curl --location 'https://godirekt.xyz/api/chains' \
  --header 'x-api-key: YOUR_API_KEY'
```

## Example response

```json theme={null}
{
  "success": true,
  "chains": [
    { "id": 1,         "name": "Ethereum",     "shortName": "eth",  "nativeToken": "ETH"  },
    { "id": 10,        "name": "Optimism",      "shortName": "op",   "nativeToken": "ETH"  },
    { "id": 56,        "name": "BNB Chain",     "shortName": "bnb",  "nativeToken": "BNB"  },
    { "id": 137,       "name": "Polygon",       "shortName": "matic","nativeToken": "MATIC"},
    { "id": 8453,      "name": "Base",          "shortName": "base", "nativeToken": "ETH"  },
    { "id": 42161,     "name": "Arbitrum One",  "shortName": "arb",  "nativeToken": "ETH"  },
    { "id": 792703809, "name": "Solana",        "shortName": "sol",  "nativeToken": "SOL"  }
  ]
}
```

Use the `id` field as `fromChainId` / `toChainId` when creating a quote.


## OpenAPI

````yaml GET /api/chains
openapi: 3.1.0
info:
  title: Direkt API
  description: Accept crypto payments directly — no custodians, no prefunding.
  version: 1.0.0
servers:
  - url: https://godirekt.xyz
    description: Production
security:
  - apiKeyHeader: []
paths:
  /api/chains:
    get:
      summary: List supported chains
      description: Returns all chains Direkt supports.
      operationId: getChains
      responses:
        '200':
          description: List of supported chains
          content:
            application/json:
              example:
                success: true
                chains:
                  - id: 1
                    name: Ethereum
                    shortName: eth
                    nativeToken: ETH
                  - id: 10
                    name: Optimism
                    shortName: op
                    nativeToken: ETH
                  - id: 56
                    name: BNB Chain
                    shortName: bnb
                    nativeToken: BNB
                  - id: 137
                    name: Polygon
                    shortName: matic
                    nativeToken: MATIC
                  - id: 8453
                    name: Base
                    shortName: base
                    nativeToken: ETH
                  - id: 42161
                    name: Arbitrum One
                    shortName: arb
                    nativeToken: ETH
                  - id: 42220
                    name: Celo
                    shortName: celo
                    nativeToken: CELO
                  - id: 43114
                    name: Avalanche
                    shortName: avax
                    nativeToken: AVAX
                  - id: 792703809
                    name: Solana
                    shortName: sol
                    nativeToken: SOL
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  chains:
                    type: array
                    items:
                      type: object
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````